Package org.jbpm.workflow.instance.node

## Class HumanTaskNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.WorkItemNodeInstance
        - - org.jbpm.workflow.instance.node.HumanTaskNodeInstance

- All Implemented Interfaces:
    `Serializable`, `ContextInstanceContainer`, `EventBasedNodeInstanceInterface`, `NodeInstance`, `org.kie.api.runtime.process.EventListener`, `org.kie.api.runtime.process.NodeInstance`

      public class HumanTaskNodeInstance
      extends WorkItemNodeInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTIVATE_SIGNAL` |
    `static String` | `ADMINISTRATOR_USER` |
    `static String` | `SUSPEND_SIGNAL` |
    `static String` | `SUSPEND_UNTIL_PARAMETER` |

    - ### Fields inherited from class org.jbpm.workflow.instance.node.WorkItemNodeInstance

      `workItem`

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HumanTaskNodeInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEventListeners()` |
    `protected String` | `assignWorkItem​(org.drools.core.process.instance.WorkItem workItem)` |
    `void` | `cancel​(NodeInstance.CancelType cancelType)` |
    `protected org.drools.core.process.instance.WorkItem` | `createWorkItem​(WorkItemNode workItemNode)` |
    `HumanTaskNode` | `getHumanTaskNode()` |
    `long` | `getSuspendUntilTimerId()` |
    `void` | `removeEventListeners()` |
    `void` | `setSuspendUntilTimerId​(long suspendUntilTimerId)` |
    `void` | `signalEvent​(String type, Object event)` |
    `void` | `triggerCompleted​(org.drools.core.process.instance.WorkItem workItem)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.node.WorkItemNodeInstance

      `addContextInstance, addExceptionProcessListener, getContextContainer, getContextInstance, getContextInstance, getContextInstances, getEventTypes, getExceptionHandlingProcessInstanceId, getKieRuntimeForExceptionSubprocess, getKieRuntimeForSubprocess, getKieRuntimeForSubprocess, getNodeName, getSourceParameters, getTriggerCount, getWorkItem, getWorkItemId, getWorkItemNode, internalSetProcessInstanceId, internalSetTriggerCount, internalSetWorkItem, internalSetWorkItemId, internalTrigger, isInversionOfControl, removeContextInstance, removeExceptionProcessListeners, setVariableStrictOption, setWorkItemParameters, setWorkItemParametersFromDataAssociations, setWorkItemParametersFromStringReplacement, updateVariablesFromResult, validateWorkItemResultVariable, workItemAborted, workItemCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted, triggerTimer`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADMINISTRATOR_USER

          public static final String ADMINISTRATOR_USER

    - #### SUSPEND_UNTIL_PARAMETER

          public static final String SUSPEND_UNTIL_PARAMETER

      See Also:
        Constant Field Values

    - #### SUSPEND_SIGNAL

          public static final String SUSPEND_SIGNAL

      See Also:
        Constant Field Values

    - #### ACTIVATE_SIGNAL

          public static final String ACTIVATE_SIGNAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HumanTaskNodeInstance

          public HumanTaskNodeInstance()

  - ### Method Detail

    - #### getHumanTaskNode

          public HumanTaskNode getHumanTaskNode()

    - #### getSuspendUntilTimerId

          public long getSuspendUntilTimerId()

    - #### setSuspendUntilTimerId

          public void setSuspendUntilTimerId​(long suspendUntilTimerId)

    - #### createWorkItem

          protected org.drools.core.process.instance.WorkItem createWorkItem​(WorkItemNode workItemNode)

      Overrides:
        `createWorkItem` in class `WorkItemNodeInstance`

    - #### assignWorkItem

          protected String assignWorkItem​(org.drools.core.process.instance.WorkItem workItem)

    - #### triggerCompleted

          public void triggerCompleted​(org.drools.core.process.instance.WorkItem workItem)

      Overrides:
        `triggerCompleted` in class `WorkItemNodeInstance`

    - #### signalEvent

          public void signalEvent​(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `WorkItemNodeInstance`

    - #### cancel

          public void cancel​(NodeInstance.CancelType cancelType)

      Specified by:
        `cancel` in interface `NodeInstance`
      Overrides:
        `cancel` in class `WorkItemNodeInstance`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `WorkItemNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `WorkItemNodeInstance`